summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2009-09-14 18:25:00 +0000
committerKarl Berry <karl@freefriends.org>2009-09-14 18:25:00 +0000
commita2c8f1fc946f785b7a4d0263c455bdfa569be2f2 (patch)
treecd34df4208ebafd40cebb475572bc0417bffa3a1 /Master/tlpkg
parentd84191e98fd66a54ba3c71d1819ce77c0902745b (diff)
get basename of cmdname, not cmd.
git-svn-id: svn://tug.org/texlive/trunk@15284 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet7
1 files changed, 4 insertions, 3 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index b538ac90a2a..65ba049d4ec 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -172,7 +172,8 @@ if test $failure = false; then
"$Master/tlpkg/bin/check-tlnet-consistency --location=$tlnet_dir" \
"$Master/tlpkg/bin/tl-compare-tlpdbs $tlnet_dir/tlpkg/texlive.tlpdb" \
; do
- basecmd=`basename $cmd`
+ cmdname=`echo "$cmd" | awk '{print $1}'`
+ basecmd=`basename $cmdname`
echo "$0: Running $basecmd ($cmd)"
outfile=/tmp/tlcheck.`echo "$cmd" | awk '{print $1}'`
if $cmd >$outfile 2>&1; then :; else
@@ -199,8 +200,8 @@ cd $tltrybase
if $chicken; then
echo "$0: Chicken mode, not updating anything."
else
- echo "$0: Test install ok, comparing containers." # just a test
- (cd $tltry/archive && time /home/karl/bin/cmpcont) >/tmp/cmpcont 2>&1 || true
+ #echo "$0: Test install ok, comparing containers." # just a test
+ #(cd $tltry/archive && time /home/karl/bin/cmpcont) >/tmp/cmpcont 2>&1 || true
echo "$0: Updating $tlweb from $tltry."
rm -rf $tlweb